{{
userdefs.spin - defines user platform properties.
}}

con '' clock settings

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

con '' console uart settings

  conRxPin= 31                   '' the RX pin to use for UART console
  conTxPin= 30                   '' the TX pin to use for UART console
  conMode = 0                    '' the mode to use for FullDuplex UART console
  conBaud = 57600                '' the baud rate to use for UART console
  conWait = 1                    '' the seconds to wait after starting UART console before first output

  
con '' microSD pin definitions

  spiDO     = 12
  spiClk    = 13
  spiDI     = 14
  spiCS     = 15
  spiINC    = 15 '' Dummy  value - does nothing

con '' console tv settings

  TvPin     = 20                 '' the TV DAC start pin to use for TV out
  TvNTSCPAL =  0                 '' the TV NTSC constant = 0, PAL = 1
  TvINTRLACE=  1                 '' the TV Interlace selection
  TvHiCOLS  = 44                 '' the TV HALF HEIGHT max columns
  TvHiROWS  = 28                 '' the TV HALF HEIGHT max rows

con

  EOL = $a

pub nopub '' not used

dat  org